Name:			mcabber
Version:		1.0.5
Release:		1.1
Summary:		Small Jabber Console Client
Source:			http://www.lilotux.net/~mikael/mcabber/files/mcabber-%{version}.tar.bz2
Source1:		mcabber.desktop
URL:			http://www.lilotux.net/~mikael/mcabber/
Group:			Productivity/Networking/Other
License:		GNU General Public License (GPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc make pkgconfig ncurses-devel
BuildRequires:	gnutls-devel glib2-devel
BuildRequires:	libotr-devel >= 0.3.1
%if %suse_version > 1030 && %suse_version <= 1100
BuildRequires:	libotr2
%endif
BuildRequires:  loudmouth-devel
BuildRequires:	aspell-devel enchant-devel
BuildRequires:	gpgme libgpg-error-devel
BuildRequires:	autoconf automake libtool
BuildRequires:  vim-base
%if 0%{?suse_version:1}
BuildRequires:	update-desktop-files
%endif
%if 0%{suse_version} < 1010
%else
BuildRequires:	gpgme-devel
%endif
Requires:		libotr >= 0.3.1

%description
mcabber is a small Jabber console client. It features SSL support, history
logging, and external actions.

%package devel
Summary:	Small Jabber Console Client
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       glib2-devel
Requires:       loudmouth-devel

%description devel
mcabber is a small Jabber console client. It features SSL support, history
logging, and external actions.

%debug_package
%prep
%setup -q
find contrib/ -type f -exec %__chmod 0644 {} \;

%build
%configure \
	--enable-otr \
	--enable-aspell \
	--enable-enchant \
    --enable-xep0022 \
    --disable-hgcset

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}/mcabber"/*.la

%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/mcabber.desktop"
%if 0%{?suse_version}
%suse_update_desktop_file -r "%{name}" Network InstantMessaging
%endif

%__install -D -m0644 contrib/vim/mcabber_log-ftdetect.vim \
    "%{buildroot}%{_datadir}/vim/site/ftdetect/mcabber_log.vim"
%__install -D -m0644 contrib/vim/mcabber_log-syntax.vim \
    "%{buildroot}%{_datadir}/vim/site/syntax/mcabber_log.vim"
%__rm -rf contrib/vim

%__mv mcabberrc.example mcabberrc

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc mcabberrc doc/*.html doc/*.css doc/*.txt
%doc contrib
%{_bindir}/mcabber
%{_datadir}/mcabber
%doc %{_mandir}/man1/mcabber.1%{ext_man}
%{_datadir}/applications/mcabber.desktop
%{_datadir}/vim/site/ftdetect/mcabber_log.vim
%{_datadir}/vim/site/syntax/mcabber_log.vim
%dir %{_libdir}/mcabber
%{_libdir}/mcabber/libbeep.so
%{_libdir}/mcabber/libxttitle.so
%{_libdir}/mcabber/libfifo.so
%{_libdir}/mcabber/liburlregex.so

%files devel
%defattr(-,root,root)
%{_includedir}/mcabber
%{_libdir}/pkgconfig/mcabber.pc

%changelog
* Tue Jan 31 2017 cs@linux-administrator.com
- update to 1.0.5:
  * Bugfixes, and huge speed optimizations for large rosters.
* Tue Nov 22 2016 cs@linux-administrator.com
- update to 1.0.4:
  * This is a maintenance release with an important bugfix.
  See Daniel Gultsch's article on Gajim Roster Push Attack.
- update 1.0.3:
  * This is a maintenance release with a few bugfixes and documentation updates.
- update 1.0.2:
  * Support for Loudmouth 1.5.3+ SHA256 fingerprints.
  * Stop HTML-escaping OTR messages.
  * Fix usage of $HOME/.mcabberrc broken in previous release.
- update 1.0.1:
  * Many improvements in Message Carbons, PGP, OTR and SSL support.
  * The GnuPG engine can be specified with the gpg_path option.
  * Support for the XDG configuration directory.
  * Several memory leaks and bugs have been fixed.
  * Please see the changelog file or the repository for details.
* Mon Jun 29 2015 cs@linux-administrator.com
- update to 1.0.0:
  * Message Carbons support / XEP-0280 (Roeland Jago Douma)
  * Support for using external password managers (Christian Burkert)
  * [UI] Add a backward completion (Oleg)
  * [UI] Multilanguage spell checking (Dmitry Potapov)
  * [UI] New option 'buffer_smart_scrolling' to lock buffer automatically
  when scrolled up (Hermitifier)
  * [UI] New command /roster next_open_buffer
  * [UI] New option 'attention_char'
  * [UI] Try to display the GLib warnings in the log window
  * [UI] Display the number of occupants in MUC rooms (shizeeque)
  * [UI] New option switch /room topic -u to unescape the topic (shizeeque)
  * [MUC] Support for storing MUC room passwords (Nico Golde)
  * [MUC] Use bookmarked password (if any) when using "/room join"
  * [Hooks] New "hook-mdr-received" hook
  * Remove support for obsolete XEP 22 (Frank Zschockelt)
  * Misc. bugfixes and minor improvements
* Fri May  9 2014 cs@linux-administrator.com
- update to 0.10.3:
  * [UI] Add option 'iq_time_hide'
  * [UI] Add 'iq_version_hide', 'iq_version_hide_version'
  * Improved handling of damaged history log files
  * Switch to libotr v4 API (Myhailo Danylenko)
  * Add SSL options (Frank Zschockelt)
  These options require a patched Loudmouth library.
  - "ssl_ciphers" to define the allowed ciphers
  - "ssl_ca" to set additional trusted certificates
  * Fix compilation for old loudmouth libraries (Frank Zschockelt)
  * Add 'color_timestamp' to highlight timestamp added by server (Hermitifier)
  * New python based event script using OS X 10.8 notification center (Sharoon Thomas)
  * Handle SIGHUP signal (Dominik George)
  * Misc. bugfixes
* Sat Dec  8 2012 cs@linux-administrator.com
- update to 0.10.2:
  * Update receipts handling according to recent XEP updates (Myhailo Danylenko)
  * Update and modularize the FIFO system (Myhailo Danylenko)
  * Modularize url_regex
  * [UI] Add readmark support - a line is displayed afer the last read message
  * New command /buffer readmark
  * Add command /iline clear_history
  * Add command /iline iline_insert (Hermitifier)
  * Add command /room setopt flag_joins (Hermitifier)
  * The command /say_to has a new option '-e' so that "\n" can be used
  * [MUC] Improve MUC support (Myhailo Danylenko)
  * [MUC] Add support for XEP-0249 / Direct MUC Invitations (Myhailo Danylenko)
  * [MUC] Refresh the roster when MUC bookmarks are received (Jan Zachorowski)
  * [MUC] preserve bookmark when updating a non-joined room  (Jan Zachorowski)
  * [MUC] Fix bookmarks losing autojoin attribute  (Hermitifier)
  * [MUC] Display real JIDs in non-anonymous rooms (Hermitifier)
  * [MUC] New option 'muc_bookmark_autoupdate' (Hermitifier)
  * [MUC] Fix whois / auto_whois
  * [UI] Remove deprecated invisible status
  * [UI] Go back to the first buddy with /roster next_unread when there are
    no more unread messages (Simon Jacquin)
  * [UI] Add option 'roster_no_leading_space' to remove the extra space
    before items in the roster (Simon Jacquin)
  * [UI] Allow to select which buddy resource messages go to (issue #55)
    with new commands /roster resource_lock|resource_unlock (Hermitifier)
  * [UI] Do not warn when the configuration file contains 256-color values
  * Add support for XEP-0115 Entity Capabilities,
  with offline cache (Hermitifier)
  * Fix segfault when spell checking is enabled and spell_lang is not set.
  * Fix "/rename -" (Hermitifier)
  * Do not add items to roster with commands /move and /rename (Hermitifier)
  * [UI] Handle the Enter key on Maemo systems (diSabler)
  * [UI] Add 'color_log' (text color in the log window)
  * [UI] Add 'color_readmark' (readmark color in chat buffers)
  * [UI] Use guards for colors (Myhailo Danylenko)
  * Update color themes in contrib directory
  * Documentation update
  * Many misc. bugfixes and minor improvements
- mcabber (0.10.1)
  * Display a warning when the configuration file hasn't been updated
  * Display better messages when connecting to the XMPP server
  * [MUC] Do not block MUC private messages when 'block_unsubscribed' is set
  * [MUC] Fix handling of empty room topic
  * [MUC] Add caps to presence when joining a MUC room
  * New option 'completion_ignore_case' - completion is now case sensitive
  by default
  * Display module API information in the output of /version
  * Increase the number of available categories for completions
  * [Hooks] New "hook-subscription" hook, update to the message-in hooks
  (See ChangeLog.api)
  * Many misc. bugfixes
  * Minor documentation update
* Sun Apr 11 2010 pascal.bleser@opensuse.org
- update to 0.10.0:
  * switch to the loudmouth Jabber library
  * "username" has been replaced with "jid" in the configuration file
  * mcabber can now do DNS SRV lookups
  * buffers have priorities, that are used to jump to the next unread buffer
  * the attention sign (!) is displayed for urgent messages or when the user nickname is used in a MUC room
  * prints a list of options with "/set"
  * add support for modules
  * sample "beep" module
  * message receipts (XEP-0184) support
  * new command /request ping
  * add libidn support
  * allow changing the nickname in MUC bookmarks
  * a suffix can be appended to completed nicknames
  * command "/source" now accepts a file pattern
  * tracelog level can now be changed at runtime
  * small vCard support improvements
  * startup status can be set in the configuration file
  * obsolete option 'hide_offline_buddies' has been removed
  * obsolete XEP-0022 (message events) is now disabled by default
  * no suffix is displayed in the status bar after the 'info' value
  * add vim syntax file for mcabber history log files
* Wed Oct  7 2009 pascal.bleser@opensuse.org
- update to 0.9.10:
  * supports spell checking with Enchant
  * many small improvements and bugfixes
* Thu Oct  9 2008 guru@unixtech.be
- update to 0.9.9:
  * a few bugfixes
  * some translation updates
  * a new Czech translation
* Mon Oct  6 2008 guru@unixtech.be
- update to 0.9.8:
  * URLs can be extracted from messages to the log window using the url_regex
    option
  * OTR messages are now flagged with "O"
  * two new commands have been added, "/buffer save" and "/echo"
  * several new options and UI improvements
* Thu Apr 17 2008 guru@unixtech.be
- new upstream version
* Sun Jan 13 2008 guru@unixtech.be
- update to 0.9.6
* Wed Nov 21 2007 guru@unixtech.be
- update to 0.9.5
* Sun Oct 28 2007 guru@unixtech.be
- enabled aspell support
- use gnutls instead of openssl
- added OTR support (requires libotr >= 0.3.1)
- update to 0.9.4
* Wed Jun 20 2007 guru@unixtech.be
- update to 0.9.3
* Wed Jun 13 2007 guru@unixtech.be
- initial openSUSE Build Service submission
